<?php

require "../vendor/autoload.php";
require "../config.php";
require "../sql/database.php";
require "utils.php";
require "../src/react-display.php";

use App\Connexion;
use App\Controller\FrontController;
use App\Controller\EditorController;
use App\Controller\SampleFormController;
use App\Gateway\FormResultGateway;
use App\Gateway\TacticInfoGateway;
use App\Http\JsonHttpResponse;
use App\Http\ViewHttpResponse;
use App\Model\TacticModel;
use Twig\Loader\FilesystemLoader;
use App\Validation\ValidationFail;
use App\Controller\ErrorController;

session_start();

$basePath = get_public_path();
$con = new Connexion(get_database());

global $dictActionRole;
$dictActionRole = [
    "UserController" => "public",
    "EditionUserController" => "public"
];

$dict = [
    "new";
]

$frontController = new FrontController($con, $basePath, $dictActionRole);
$frontController->run();